NX Open C++ Reference Guide
|
Represents a @link Features::Ribbon Features::Ribbon@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateRibbonBuilder Features::FeatureCollection::CreateRibbonBuilder @endlink <br>
Default values. More...
Public Member Functions | |
NXOpen::Expression * | Angle () |
Returns the angle to offset measured from the offset view Created in NX6.0.0. | |
double | AngleTolerance () |
Returns the angle tolerance Created in NX6.0.0. | |
double | DistanceTolerance () |
Returns the distance tolerance Created in NX6.0.0. | |
NXOpen::Expression * | OffsetDistance () |
Returns the distance to offset the profile Created in NX6.0.0. | |
NXOpen::Direction * | OffsetView () |
Returns the direction normal to the offset Created in NX6.0.0. | |
NXOpen::Section * | Profile () |
Returns the profile to offset Created in NX6.0.0. | |
bool | ReverseOffset () |
Returns the flag indicating that the offset direction should be reversed Created in NX6.0.0. | |
void | SetAngleTolerance (double angleTolerance) |
Sets the angle tolerance Created in NX6.0.0. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the distance tolerance Created in NX6.0.0. | |
void | SetOffsetView (NXOpen::Direction *offsetView) |
Sets the direction normal to the offset Created in NX6.0.0. | |
void | SetReverseOffset (bool reverseOffset) |
Sets the flag indicating that the offset direction should be reversed Created in NX6.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::Ribbon Features::Ribbon@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateRibbonBuilder Features::FeatureCollection::CreateRibbonBuilder @endlink <br>
Default values.
Property | Value |
---|---|
Angle.Value |
0 |
AngleTolerance |
0.5 |
DistanceTolerance |
0.0254 (millimeters part), 0.01 (inches part) |
OffsetDistance.Value |
1 (millimeters part), 0.04 (inches part) |
Created in NX6.0.0.
NXOpen::Expression* NXOpen::Features::RibbonBuilder::Angle | ( | ) |
Returns the angle to offset measured from the offset view
Created in NX6.0.0.
License requirements : None
double NXOpen::Features::RibbonBuilder::AngleTolerance | ( | ) |
Returns the angle tolerance
Created in NX6.0.0.
License requirements : None
double NXOpen::Features::RibbonBuilder::DistanceTolerance | ( | ) |
Returns the distance tolerance
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::RibbonBuilder::OffsetDistance | ( | ) |
Returns the distance to offset the profile
Created in NX6.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::RibbonBuilder::OffsetView | ( | ) |
Returns the direction normal to the offset
Created in NX6.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::RibbonBuilder::Profile | ( | ) |
Returns the profile to offset
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::RibbonBuilder::ReverseOffset | ( | ) |
Returns the flag indicating that the offset direction should be reversed
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::RibbonBuilder::SetAngleTolerance | ( | double | angleTolerance | ) |
Sets the angle tolerance
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
angleTolerance | angletolerance |
void NXOpen::Features::RibbonBuilder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the distance tolerance
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
distanceTolerance | distancetolerance |
void NXOpen::Features::RibbonBuilder::SetOffsetView | ( | NXOpen::Direction * | offsetView | ) |
Sets the direction normal to the offset
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
offsetView | offsetview |
void NXOpen::Features::RibbonBuilder::SetReverseOffset | ( | bool | reverseOffset | ) |
Sets the flag indicating that the offset direction should be reversed
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
reverseOffset | reverseoffset |